## org.jboss.netty.channel
Class FixedReceiveBufferSizePredictorFactory

    java.lang.Object
      org.jboss.netty.channel.FixedReceiveBufferSizePredictorFactory

All Implemented Interfaces:
  ReceiveBufferSizePredictorFactory

    public class FixedReceiveBufferSizePredictorFactory

extends Object
implements ReceiveBufferSizePredictorFactory

The `ReceiveBufferSizePredictorFactory` that returns a `FixedReceiveBufferSizePredictor` with the pre-defined configuration.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`FixedReceiveBufferSizePredictorFactory(int bufferSize)` Creates a new factory that returns a `FixedReceiveBufferSizePredictor` which always returns the same prediction of the specified buffer size.

Method Summary
`ReceiveBufferSizePredictor` `getPredictor()` Returns a newly created `ReceiveBufferSizePredictor`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedReceiveBufferSizePredictorFactory

    public FixedReceiveBufferSizePredictorFactory(int bufferSize)

  Creates a new factory that returns a `FixedReceiveBufferSizePredictor` which always returns the same prediction of the specified buffer size.

Method Detail

### getPredictor

    public ReceiveBufferSizePredictor getPredictor()
                                            throws Exception

  Description copied from interface: `ReceiveBufferSizePredictorFactory`
  Returns a newly created `ReceiveBufferSizePredictor`.

  Specified by:
    `getPredictor` in interface `ReceiveBufferSizePredictorFactory`
  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.